## SYNOPSIS

           gpasswd group
           gpasswd -a user group
           gpasswd -d user group
           gpasswd -R group
           gpasswd -r group
           gpasswd [-A user,...] [-M user,...] group

## DESCRIPTION

           gpasswd  is  used  to  administer the /etc/group file (and
           /etc/gshadow file if  compiled  with  SHADOWGRP  defined).
           Every  group  can have administrators, members and a pass
           word. System administrator can use  -A  option  to  define
           group administrator(s) and -M option to define members and
           has all rights of group administrators and members.

           Group administrator can add and delete users using -a  and
           -d  options respectively. Administrators can use -r option
           to remove group password. When no  password  is  set  only
           group  members can use newgrp(1) to join the group. Option
           -R disables access to the group through newgrp(1) command.

           gpasswd  called  by  a group administrator with group name
           only prompts for the group password. If  password  is  set
           the  members  can still newgrp(1) without a password, non-
           members must supply the password.

## FILES

           /etc/group - group information
           /etc/gshadow - shadow group information

## SEE ALSO

           newgrp(1), groupadd(8), groupdel(8), groupmod(8), grpck(8)

## AUTHOR

           Rafal Maszkowski <rzm@pdi.net>

                                                           GPASSWD(1)